Package org.springframework.core.annotation

# Enum Class MergedAnnotation.Adapt

java.lang.Object
java.lang.Enum<MergedAnnotation.Adapt>
org.springframework.core.annotation.MergedAnnotation.Adapt

All Implemented Interfaces:
  `Serializable`, `Comparable<MergedAnnotation.Adapt>`, `Constable`

Enclosing interface:
  MergedAnnotation<A extends Annotation>

public static enum MergedAnnotation.Adapt extends Enum<MergedAnnotation.Adapt>
Adaptations that can be applied to attribute values when creating Maps or `AnnotationAttributes`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANNOTATION_TO_MAP`
Adapt nested annotation or annotation arrays to maps rather than synthesizing the values.
`CLASS_TO_STRING`
Adapt class or class array attributes to strings.

## Method Summary

Modifier and Type
Method
Description
`protected final boolean`
`isIn(MergedAnnotation.Adapt... adaptations)`
`static MergedAnnotation.Adapt`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MergedAnnotation.Adapt[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
`static MergedAnnotation.Adapt[]`
`values(boolean classToString, boolean annotationsToMap)`
Factory method to create an `MergedAnnotation.Adapt` array from a set of boolean flags.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS_TO_STRING

public static final MergedAnnotation.Adapt CLASS_TO_STRING
Adapt class or class array attributes to strings.

### ANNOTATION_TO_MAP

public static final MergedAnnotation.Adapt ANNOTATION_TO_MAP
Adapt nested annotation or annotation arrays to maps rather than synthesizing the values.

## Method Details

### values

public static MergedAnnotation.Adapt[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MergedAnnotation.Adapt valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isIn

protected final boolean isIn(MergedAnnotation.Adapt... adaptations)

### values

public static MergedAnnotation.Adapt[] values(boolean classToString, boolean annotationsToMap)
Factory method to create an `MergedAnnotation.Adapt` array from a set of boolean flags.

Parameters:
  `classToString` - if `CLASS_TO_STRING` is included
  `annotationsToMap` - if `ANNOTATION_TO_MAP` is included
Returns:
  a new `MergedAnnotation.Adapt` array